package com.inspect.system.service;

import com.inspect.system.domain.SysConfig;

import java.util.List;

public interface ISysConfigService {
    SysConfig selectConfigById(Long id);

    String selectConfigByKey(String key);

    List<SysConfig> selectConfigByKeys(String configKeys);

    List<SysConfig> selectConfigList(SysConfig sysConfig);

    int insertConfig(SysConfig sysConfig);

    int updateConfig(SysConfig sysConfig);

    void deleteConfigByIds(Long[] ids);

    void loadingConfigCache();

    void clearConfigCache();

    void resetConfigCache();

    String checkConfigKeyUnique(SysConfig sysConfig);
}
